<%@ Page Language="VB" %>

<script runat="server">
   Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
       If Not Page.IsPostBack Then
          ListBoxDataBind()
       End If
   End Sub

   Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs)
       Roles.CreateRole(TextBox1.Text)
       ListBoxDataBind()
   End Sub
    
   Protected Sub ListBoxDataBind()
       ListBox1.DataSource = Roles.GetAllRoles()
       ListBox1.DataBind()
   End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Zarządzanie rolami</title>
</head>
<body>
    <form id="form1" runat="server">
        <h1>Zarządzanie rolami</h1>
        Dodaj rolę:<br />
        <asp:TextBox ID="TextBox1" Runat="server"></asp:TextBox>
        <p><asp:Button ID="Button1" Runat="server" Text="Dodaj rolę do aplikacji" 
            OnClick="Button1_Click" /></p>
        Zdefiniowane role:<br />
        <asp:ListBox ID="ListBox1" Runat="server">
        </asp:ListBox>
    </form>
</body>
</html>
